#
# spec file for package evms
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           evms
BuildRequires:  device-mapper-devel e2fsprogs-devel glib2-devel gtk-devel heartbeat xorg-x11
#!BuildIgnore:  iptables
Url:            http://sourceforge.net/projects/evms/
License:        GPL v2 or later
Group:          System/Base
Requires:       device-mapper
%if %suse_version > 800
PreReq:         /bin/rm
%endif
%ifarch %ix86 x86_64
Provides:       novell-evms-plugins novell-evms-snapins
Obsoletes:      novell-evms-plugins novell-evms-snapins
%endif
AutoReqProv:    on
Version:        2.5.5
Release:        24.76.4
Summary:        EVMS--Enterprise Volume Management System
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         http://prdownloads.sourceforge.net/evms/evms-%{version}.tar.bz2
Source1:        boot.evms
Source2:        evms-lvm-comp.pdf
Source3:        iscsi-plugin.tar.bz2
Source4:        evms
Source5:        nwmgr-plugin.tar.bz2
#Patch:        evms-s390.patch
Patch:          rename-timestamp.dif
Patch1:         evms-s390-IOR.patch
Patch2:         evms-2.3.0-lib64.dif
Patch3:         plugin_load_filter.dif
Patch4:         dos_plugin_activation.patch
Patch5:         prevent_compiler_warning.patch
Patch6:         hb2-autojoin.patch 
Patch7:         ocfs2.patch
Patch8:         configure-iscsi.diff
Patch9:         aclocal-iscsi.diff
Patch10:        md_raid5_degrade_fix.patch
Patch11:        compaq_naming_gpt.patch
Patch12:        prevent_unaligned_warning.patch
Patch13:        md_super_fix.patch
Patch14:        drivelink_declined_objects.patch
Patch15:        evms_fat.patch
Patch16:        ntfs_unmkfs.patch
Patch17:        call-browser.patch
Patch18:        md_super_fix2.patch
Patch19:        md_over_limit_error.patch
Patch20:        allow_container_on_active_md.patch
Patch21:        cli_query_segfault.patch
Patch22:        daemon.patch
Patch23:        strncat.patch
Patch24:        dos_plugin.patch
Patch25:        ha_failover.patch
Patch26:        get_geometry.patch
Patch27:        compatible-2.3.3.patch
Patch28:        tunable_timeout.patch
Patch29:        blocked_plugin_msg.patch
Patch30:        lvm_pv_metadata.patch
Patch31:        disable_usr_msg.patch
Patch32:        boot_partition.patch
Patch33:        disk_cache.patch
Patch34:        dos_plugin_remove_has_netware_patch_17sep07.patch
Patch35:        dos_plugin_ownership.patch
Patch36:        nwmgr_move_rpm.patch
Patch37:        dos_plugin_has_dm_object_fix.patch
Patch38:        copy_target_linear.patch
Patch39:        device_mapper_buffer_len.patch
Patch40:        gather_info_batch_mode.patch
Patch41:        dos_plugin_start0.patch

%description
This package contains the userspace tools needed to manage EVMS
(Enterprise Volume Management System) volumes.

See the EVMS-HOWTO in /usr/share/doc/packages/EVMS for detailed
instructions on patching your kernel with EVMS and using the tools
after installation.



Authors:
--------
    Kevin Corry <corryk@us.ibm.com>
    Joy Yokley Goodreau <joyg@us.ibm.com>

%package gui
License:        GPL v2 or later
Summary:        EVMS - GUI Frontend
Group:          System/Base
AutoReqProv:    on
Requires:       evms = %{version}

%description gui
This package contains the GUI frontends needed to manage EVMS
(Enterprise Volume Management System) volumes.



Authors:
--------
    Kevin Corry <corryk@us.ibm.com>
    Joy Yokley Goodreau <joyg@us.ibm.com>

%package ha
License:        GPL v2 or later
Summary:        EVMS - HA Utilities
Group:          System/Base
AutoReqProv:    on
Requires:       evms = %{version} heartbeat

%description ha
This package contains the utilities needed for high availiability
features for EVMS.



Authors:
--------
    Kevin Corry <corryk@us.ibm.com>
    Joy Yokley Goodreau <joyg@us.ibm.com>

%prep
%setup -a3 -a5
%patch  
%patch1
%patch2
%patch3
%patch4 -p1
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10 -p1
%patch11
%patch12
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17
%patch18 -p1
%patch19 -p1
%patch20
%patch21 -p1
%patch22
%patch23 -p1
%patch24 -p1
%patch25
%patch26 -p1
%patch27 -p1
%patch28
%patch29
%patch30
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38
%patch39
%patch40
%patch41 -p1

%build
autoconf
%ifarch %ix86 x86_64
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --mandir=/usr/share/man --disable-ha --exec-prefix=/  --libdir=/%_lib
%else
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --mandir=/usr/share/man --disable-ha --disable-nwmgr --exec-prefix=/  --libdir=/%_lib
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" prefix="/usr" install
mkdir -p $RPM_BUILD_ROOT/etc
cp /etc/ld.so.conf $RPM_BUILD_ROOT/etc
install -m 644 doc/evms.conf $RPM_BUILD_ROOT/etc
# sbin/ldconfig -r $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{SOURCE4} $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/evms
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_defaultdocdir}/evms
install -m 644 PLUGIN.IDS README TERMINOLOGY INSTALL* $RPM_BUILD_ROOT%{_defaultdocdir}/evms
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/evms/cli_scripts
install -m 755 tests/cli_scripts/* $RPM_BUILD_ROOT%{_defaultdocdir}/evms/cli_scripts
mkdir $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/sbin/evmsn $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/sbin/evmsgui $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/sbin/evmsccm $RPM_BUILD_ROOT/usr/sbin
rm -f $RPM_BUILD_ROOT/etc/ld.so.cache
rm -f $RPM_BUILD_ROOT/etc/ld.so.conf
rm -f $RPM_BUILD_ROOT/etc/evms.conf.sample
rm -f $RPM_BUILD_ROOT/usr/share/locale/en@*quot/LC_MESSAGES/evms.mo
mkdir $RPM_BUILD_ROOT/%_libdir
mv $RPM_BUILD_ROOT/%_lib/lib*.a $RPM_BUILD_ROOT/%_libdir
rm -f $RPM_BUILD_ROOT/%_lib/lib*.so
MYLIBFILE=`find $RPM_BUILD_ROOT/%{_lib}/ -maxdepth 1 -type f | head -1`
MYLIBFILE=`basename $MYLIBFILE`
(cd $RPM_BUILD_ROOT/%{_libdir} && ln -sf ../../%{_lib}/$MYLIBFILE libevms.so)

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
rm -f /etc/sysconf/evms

%postun
/sbin/ldconfig
%{insserv_cleanup}

%files
%defattr(-,root,root)
%docdir /usr/share/doc/packages/evms
/usr/share/doc/packages/evms
%config /etc/evms.conf
%config /etc/init.d/boot.evms
%config /etc/init.d/evms
/%_lib/lib*.so.*
/%_libdir/lib*.so
/%_libdir/lib*.a
%dir /%_lib/evms
%dir /%_lib/evms/%{version}
%exclude /%_lib/evms/%{version}/hb2*
/%_lib/evms/%{version}/[^h]*
/sbin/evms
/sbin/evms_activate
/sbin/evms_gather_info
/sbin/evms_metadata_backup
/sbin/evms_metadata_restore
/sbin/evms_query
/sbin/evmsd
/sbin/evmsd_worker
/sbin/evms_mpathd
%dir /usr/include/evms
/usr/include/evms/*.h
%{_mandir}/man8/*

%files gui
%defattr(-,root,root)
/usr/sbin/evmsgui
/usr/sbin/evmsn

%files ha
%defattr(-,root,root)
/usr/sbin/evmsccm
/%_lib/evms/%{version}/hb2*
/etc/ha.d/resource.d/evms_failover

%changelog
* Thu Feb 24 2011 ajack@novell.com
- bnc #642882 - Fixed a bug where the pool and group stamps were
  not being mirrored. Also fixed a bug where small gaps between
  partition segments were causing the segment next pointers to be
  removed when changing the device shared state.
  In addition, the package would not build in Build Services.
  Several patches had to be modified to work with the fuzz=0 set.
  Also, the spec file had to be fixed because of build issues that
  were being ignored in autobuild.
* Wed Jul  7 2010 ajack@novell.com
- bnc #605711 - Fixed a bug where the pool and group stamps were
  being erased when mirroring.
- bnc #606609 - Fixed a problem where the next pointer in the
  partition stamp was getting zeroed out if there was a small
  space between the partitions.
- bnc #609779 - Got the index from the RAID stamp when renaming
  sbd mirrored partitions.  The names seemed to be switched
  because we were numbering the partitions as they were found.
* Tue Jan  5 2010 ajack@novell.com
- bnc #568363 - Corrected a change where raw partitions were not
  activated when NSS was not installed.  This prevented mirrored
  SBD partitions to be seen by clustering when NSS was not installed.
* Mon Dec 21 2009 ajack@novell.com
- bnc #565284 - Fixed a error when RAID1 segments were removed,
  then added back in.
* Fri Oct 23 2009 ajack@novell.com
- bnc #532437 - Fixed a possible server panic in DM when changing
  RAID devices while active requests are in progress.
* Tue Aug 11 2009 ajack@novell.com
- bnc #518500 - Fixed the NWSegMgr to not discover NSS partitions
  (only SBD partitions) if NSS is not loaded.  This fixed an issue
  where install could not format the boot partition because of
  device mapper objects that were active during install time.
* Fri Aug  7 2009 ajack@novell.com
- bnc #520867 - Fixed DosSegMgr to delete the device-mapper object
  for an NSS partition if it detects that it starts at offset 0.
  It needs to rebuild it back correctly.
* Wed Aug  5 2009 ajack@novell.com
- bnc #527298 - Zeroed out the first 4 sectors past the partition
  header to clear out any old mirror stamps.
- bnc #429291 - Supported SBD partitions in the MBR.
- bnc #510940 - Fixed names when mirroring SBD partitions.
* Wed Jul  8 2009 cgao@novell.com
- Bug 519907 - L3: evms_gather_info fails when encountering an uninitialized disk
* Fri May  8 2009 cgao@novell.com
- Bug 499093 - L3-Question: Unexpected device-mapper devices (dm-*)
* Mon Jan 12 2009 cgao@novell.com
- Set linear major/minor/start when copying DM objects #418652
* Wed Oct 22 2008 ajack@novell.com
- Changed some "unsigned long" defines to "u_int32_t" to fix a
  64 bit problem deleting segments from a RAID5.
- bnc #420020
* Fri Aug 29 2008 ajack@novell.com
- Fixed an issue where the RAID5 object in the device mapper was not
  updated when a segment was removed.  bnc #420020
* Thu May 22 2008 ajack@novell.com
- Fixed NWRaid1Mgr and NWRaid0Mgr to work with clustering. when
  using mirrored SBD partitions.
- bnc #393742
* Mon May 12 2008 ajack@novell.com
- Fixed DosSegMgr and NWSegMgr to work with clustering.
- Also added fixes to the NWRaid plugins to properly send back info.
- bnc #379147, and bnc #386289
* Thu Mar 20 2008 ajack@novell.com
- Fixed nwmgr plugin to accept RAID0 & RAID5 devices.
- Continued fixes for bnc #343048, and bnc #352934
* Wed Feb 27 2008 ajack@novell.com
- Added nwmgr plugin to plugins.  Bug #343048, and #352934
- DOS Plugin changed to selectively take NetWare Partitions
  to prevent device mapper switches that causes I/O to/from
  32 sectors from the correct location. Bug #343048, and #352934
* Fri Dec 21 2007 cgao@novell.com
- added device-mapper-devel to required packages
- absence of that caused EVSM not to build evms_mpathd
* Wed Sep 19 2007 cgao@novell.com
- Remove has_netware_partitions(), #308245
* Mon Aug  6 2007 cgao@novell.com
- Removed 4 lines of experimental code checked in by mistake
- when fixing #278940
* Tue Jul 17 2007 cgao@novell.com
- Don't attempt to fix a partition if it's the boot partition #278940
  (boot_partition.patch)
- Improved the detection of NW partitions, #270268, secondary for #278940
- Fixed disk cache, secondary issue for #278940, also pushed upstream
  (@http://evms.sourceforge.net/patches/2.5.5/engine/disk_cache.patch)
- Removed an expensive but useless user message, secondary issue for
  bug 246017, 245059, 249252 and 267654
  (disable_usr_msg.patch)
* Tue May 15 2007 cgao@novell.com
- Excluded legacy CD from being discovered #264263
* Thu Apr 26 2007 cgao@novell.com
- Commented MD code to flush cache before reading metadata
- bug 246017, 245059, 249252 and 267654
* Fri Apr 20 2007 cgao@novell.com
- Patch from IBM, Bug 266688
* Thu Apr  5 2007 cgao@novell.com
- Place the message window in fron of the startup window
- Bug 260493
* Mon Mar 19 2007 cgao@novell.com
- Moved the debug log (added for the tunable timeout #255092)
- after log is opened.
* Mon Mar 19 2007 cgao@novell.com
- Made hard-coded 10-minute remote timeout tunable #255092
* Tue Mar 13 2007 cgao@novell.com
- Made command definitions compatible with 2.3.3, #252775
- Disable remote version checking in clustered environments
- so OES2 can talk to OES1, #252776
* Mon Mar  5 2007 cgao@novell.com
- Fix a problem introduced when fixing strncat, #247364
- sizeof( SRC ) - strlen ( SRC) - 1 doesn't work if SRC is a pointer
* Thu Mar  1 2007 cgao@novell.com
- Applied a patch from upstream, #247020
* Wed Feb 28 2007 cgao@novell.com
- iadded finalized/tested version of evms_failover
* Wed Feb 21 2007 cgao@novell.com
- Don't use critical mode when failing over resources
- And increase the wait range from 10 to 40 seconds.
- At the request of Yan Fitterer
* Mon Jan 29 2007 fehr@suse.de
- Fix possibility to mount non-evms devices in fstab if these
  devices are named via /dev/disk/by-* (#237117)
* Mon Jan 22 2007 ajack@novell.com
- Added EVMS patch from IBM to the Dos Segment Manager.  The Dos
  Segment manager will now allow the NW Segment Manager to "bind"
  to devices which contain only NetWare partitions.
* Fri Jan 19 2007 cgao@novell.com
- fixed a comparison of two strings, which broke the build.
* Tue Jan 16 2007 cgao@novell.com
- sorted out the shared libraries and linker cache
- #235372
* Wed Dec 13 2006 olh@suse.de
- evms does NOT need iptables during build
* Fri Dec  8 2006 cgao@novell.com
- fixed all instance of strncat, which broke the build
* Thu Dec  7 2006 cgao@novell.com
- Modify MAC partition minor # to match that of the OS #219788
* Wed Nov  1 2006 cgao@novell.com
- added code to unregister volume base name #199747
- also pushed upstream
- http://evms.sourceforge.net/patches/2.5.5/engine/BaseName.patch
* Thu Oct 19 2006 cgao@novell.com
- Merged fixes for #204895 to SP1 to make EVMS robust (not hung)
* Wed Oct 11 2006 cgao@novell.com
- Merged several changes from STABLE
- added code to remove evms from fstab in boot.evms #204401
- downloaded patch cli_query_segfault.patch which fixes #198382
- remove dropped boot.ibmsis from boot.evms
- remove unneeed boot.proc from boot.evms (#182347)
- multipath should start before evms (#181972)
* Mon Jun  5 2006 ghorlacher@suse.de
- removed restart, skip fillup in spec file.
* Fri Jun  2 2006 cgao@novell.com
- add init script 'evms' to fix bug #179219
* Thu Jun  1 2006 fehr@suse.de
- add Kevin Corrys version of prevent_unaligned_warning.patch (#179923)
- add two patch by Kevin Corry to fix #179907
- add patch to allow EVMS over MD during install (#167943)
* Mon May 29 2006 fehr@suse.de
- fix bug #178454 that slipped in with fix for #172039
* Wed May 24 2006 fehr@suse.de
- add call-browser to searchlist for webbrowsers (#178150)
- make the error popup dialogs modal (#178150)
* Tue May 23 2006 fehr@suse.de
- add ntfs_unmkfs.patch to fix #176945
* Mon May 22 2006 fehr@suse.de
- add evms_fat.patch to fix (#176950)
- replace evms_raid5.patch by md_raid5_degrade_fix.patch (#176941)
- fix another bunch of unaligned access warnings on IA64 (#172039)
* Tue May  9 2006 fehr@suse.de
- add drivelink_declined_objects.patch to fix (#172887)
* Wed May  3 2006 fehr@suse.de
- prevent another warning about misalignment on ia64 (#172039)
* Wed Apr 26 2006 ghorlacher@suse.de
- add md_super_fix.patch for bug #169283
* Thu Apr 20 2006 fehr@suse.de
- prevent warning about misalignment on ia64 (#167207)
* Wed Apr 19 2006 fehr@suse.de
- add evms_raid5.patch to fix bug #167203
- add compaq_naming_gpt.patch to make naming on gpt disk label
  consistent with dos disk label (#167397)
* Fri Apr  7 2006 ghorlacher@suse.de
- wrwhitehead -Bugfix 164170 - causes exit when iscsitarget
  not installed
* Mon Apr  3 2006 ghorlacher@suse.de
- Changju: fixing Bug 158559
  evmsgui starts out with an error message on all my machines
* Fri Mar 17 2006 ghorlacher@suse.de
- Added evms-iscsi plugin to evms
- wrwhitehead - bugfix 158493
* Sun Mar 12 2006 ghorlacher@suse.de
- Changju: updated evms to version 2.5.5 - patches and sources
  changed as fixes where accepted and included upstream
* Mon Feb 27 2006 ghorlacher@suse.de
- Put the evms-hb2-1.0.0.so back into ha subpackage
* Thu Feb 16 2006 ro@suse.de
- add configure.ac and aclocal.m4 parts to evms-config.patch
- move evmsccm to /usr/sbin
- move hb2 plugin to subpackage (revived evms-ha)
* Thu Feb 16 2006 ghorlacher@suse.de
- added hb2 and ocfs2 plugins
* Tue Feb  7 2006 fehr@suse.de
- add md_ffs.patch to fix bug #148560
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  9 2006 fehr@suse.de
- add allow_partition_segment.diff to allow partitions activated by
  dos_plugin_activation.patch in a container
- update to version 2.5.4 of evms
* Mon Dec 19 2005 fehr@suse.de
- add prevent_compiler_warning.patch to fix #139579
* Thu Oct 20 2005 fehr@suse.de
- add ignore_sysfs.patch to make it possible to force EVMS to scan /dev
* Tue Oct 18 2005 fehr@suse.de
- fix problem of device node creation of cciss devices (#119140)
* Sun Aug 21 2005 ro@suse.de
- add so-link to /usr/lib
* Fri Aug 19 2005 ro@suse.de
- move static lib to /usr/lib
* Thu Aug 11 2005 fehr@suse.de
- update to evms 2.5.3 to fix bug #104046
* Fri Jun 24 2005 ro@suse.de
- move gui frontends from /sbin to /usr/sbin
* Thu Jun  9 2005 meissner@suse.de
- fixed overflow with upstream patch to md_super.c.
* Thu Apr  7 2005 fehr@suse.de
- update to evms 2.5.2
* Tue Feb 22 2005 fehr@suse.de
- do not build evms-ha any more
* Tue Dec 21 2004 uli@suse.de
- bug fixes for s390 segment manager (bug #42436)
* Thu May 13 2004 fehr@suse.de
- update to bugfix release 2.3.3
- remove separate patches xfs.patch, sigcont.patch, replace.patch
- add patches csm_options.patch and membership_names.patch
* Mon May  3 2004 fehr@suse.de
- add xfs.patch which fixes LTC bug 7959
* Thu Apr 29 2004 fehr@suse.de
- add patches replace.patch and sigcont.patch from evms developers
* Wed Apr 28 2004 fehr@suse.de
- fix bug that ha-plugin shows up in plain evms.rpm should only
  be in evms-ha.rpm
* Tue Apr 27 2004 fehr@suse.de
- update to 2.3.2
* Wed Mar 31 2004 fehr@suse.de
- update to 2.3.1 (obsoletes prevent_md_crash.dif)
* Mon Mar 29 2004 fehr@suse.de
- add patch prevent_md_crash.dif (#36986)
* Wed Mar 24 2004 fehr@suse.de
- add helper scripts to package
- add heartbeat to requires for evms-ha (#36861)
* Mon Mar 15 2004 ro@suse.de
- fix prereq: only /bin/rm is needed now
* Mon Mar 15 2004 fehr@suse.de
- /etc/sysconfig/evms not needed any more, boot.evms is not
  linked automatically after installation
- fix orphan %%endif
- make it require device-mapper
* Mon Mar 15 2004 fehr@suse.de
- start evms only if EVMS_START_ON_BOOT is not set to "no" (#35989)
- remove obsolete entries from /etc/sysconfig/evms
- add functionality to evmslib to ease interaction with YaST2
* Mon Mar  8 2004 ro@suse.de
- fix to find heartbeat on lib64
* Mon Mar  8 2004 fehr@suse.de
- split off GUIs into evms-gui subpackage
- add heartbeat packages to needforbuild to make ha plugin
- split off HA utilities and plugin into evms-ha subpackage
* Mon Mar  8 2004 fehr@suse.de
- add boot.device-mapper to Required-Start
* Wed Mar  3 2004 fehr@suse.de
- update to new version 2.3.0
* Mon Feb 16 2004 hare@suse.de
- Fixed to build on s390*
* Thu Jan 29 2004 fehr@suse.de
- rename exported function timestamp from libevms to avoid name
  clash with exported function timestamp from librpmio. Otherweise
  nasty memory corruption occurs if you use libevms and librpmio
  in the same application.
* Wed Jan 28 2004 fehr@suse.de
- update to new version 2.2.2
* Wed Jan 14 2004 uli@suse.de
- fixed to build on s390*
- build with -fno-strict-aliasing (lots of mean-looking warnings)
* Thu Jul 24 2003 fehr@suse.de
- update to current CVS version of EVMS (because of new device-mapper)
* Mon Jul 21 2003 fehr@suse.de
- update to new version 2.1.0
* Tue May 27 2003 ro@suse.de
- remove unpackaged files from buildroot
- package static libs as well
* Mon Mar 31 2003 fehr@suse.de
- update to version 1.2.1 of user level tools (#25966)
* Mon Feb  3 2003 fehr@suse.de
- use new sysconfig metdata (#22640)
* Tue Nov 26 2002 fehr@suse.de
- fix some things in start script
- add missing documentation files to RPM
* Tue Oct 29 2002 fehr@suse.de
- add module s390_part to EVMS_MODULES default value for S390 (#21293)
* Wed Oct  9 2002 kukuk@suse.de
- Update to 1.2.0 [Bug #20443]
* Mon Sep  2 2002 fehr@suse.de
- use %%_libdir macro to have libs in /usr/lib64 where necessary (#18720)
* Tue Aug 20 2002 fehr@suse.de
- changed defaults in /etc/sysconfig/evms
* Mon Aug 19 2002 fehr@suse.de
- make it compile without kernel sources installed
* Mon Aug 19 2002 fehr@suse.de
- fix boot.evms to output "skipped" if evms is not activated
* Mon Aug 19 2002 fehr@suse.de
- add version 1.1.0 to SuSE distribution
